Bug 592032 - SELinux is preventing /usr/sbin/clamav-milter "sys_tty_config" access .
Summary: SELinux is preventing /usr/sbin/clamav-milter "sys_tty_config" access .
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b9da0170fdf...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 17:59 UTC by W8JSA
Modified: 2010-06-04 18:58 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.6.32-116.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 18:58:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W8JSA 2010-05-13 17:59:10 UTC
Summary:

SELinux is preventing /usr/sbin/clamav-milter "sys_tty_config" access .

Detailed Description:

[clamav-milter has a permissive type (clamd_t). This access was not denied.]

SELinux denied access requested by clamav-milter. It is not expected that this
access is required by clamav-milter and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:clamd_t:s0
Target Context                system_u:system_r:clamd_t:s0
Target Objects                None [ capability ]
Source                        clamav-milter
Source Path                   /usr/sbin/clamav-milter
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           clamav-milter-0.95.3-1200.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   10
First Seen                    Wed 28 Apr 2010 01:47:16 PM EDT
Last Seen                     Wed 12 May 2010 11:25:57 AM EDT
Local ID                      67b48099-f0a8-4f7e-a8f0-3e35dd6590af
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273677957.961:17): avc:  denied  { sys_tty_config } for  pid=2230 comm="clamav-milter" capability=26  scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:system_r:clamd_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1273677957.961:17): arch=c000003e syscall=16 success=yes exit=0 a0=1 a1=5401 a2=7fff277b4f60 a3=ffffffe9 items=0 ppid=2229 pid=2230 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="clamav-milter" exe="/usr/sbin/clamav-milter" subj=system_u:system_r:clamd_t:s0 key=(null)



Hash String generated from  catchall,clamav-milter,clamd_t,clamd_t,capability,sys_tty_config
audit2allow suggests:

#============= clamd_t ==============
allow clamd_t self:capability sys_tty_config;

Comment 1 Daniel Walsh 2010-05-13 18:51:49 UTC
F13 has

dontaudit clamd_t self:capability sys_tty_config;

Comment 2 Miroslav Grepl 2010-05-21 11:23:50 UTC
Fixed in selinux-policy-3.6.32-116.fc12

Comment 3 Fedora Update System 2010-05-21 13:52:34 UTC
selinux-policy-3.6.32-116.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-116.fc12

Comment 4 Fedora Update System 2010-05-24 19:34:37 UTC
selinux-policy-3.6.32-116.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-116.fc12

Comment 5 Fedora Update System 2010-06-04 18:57:24 UTC
selinux-policy-3.6.32-116.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.